; NETATNIC.INF
;
; Allied Telesyn AT-2450/2700 Series PCI Ethernet Adapters
;
; Copyright 1993-1995, Allied Telesyn International

[version]
Signature   = "$Chicago$"
Compatible  = 1
Class       = Net
ClassGUID   = {4d36e972-e325-11ce-bfc1-08002be10318}
Provider    = %Allied%
DriverVer   = 12/11/2000, 4.30.00
;CatalogFile = atnicm5.cat

[Manufacturer]
%Allied% = Allied


[ControlFlags]
ExcludeFromSelect = PCI\VEN_1022&DEV_2000, \
		    PCI\VEN_1022&DEV_2000&SUBSYS_24541259, \
                    PCI\VEN_1022&DEV_2000&SUBSYS_27001259, \
		    PCI\VEN_1022&DEV_2000&SUBSYS_27011259, \
                    PCI\VEN_1022&DEV_2000&SUBSYS_27021259, \
                    PCI\VEN_1022&DEV_2000&SUBSYS_24501259, \
                    PCI\VEN_1022&DEV_2000&SUBSYS_27451259

[Allied]
%*AT2700.DeviceDesc%=AT2700.ndi, PCI\VEN_1022&DEV_2000&SUBSYS_27001259
%*AT2701.DeviceDesc%=AT2701.ndi, PCI\VEN_1022&DEV_2000&SUBSYS_27011259
%*AT2702.DeviceDesc%=AT2702.ndi, PCI\VEN_1022&DEV_2000&SUBSYS_27021259
%*AT2745.DeviceDesc%=AT2745.ndi, PCI\VEN_1022&DEV_2000&SUBSYS_27451259
%*AT2450.DeviceDesc%=AT2450.ndi, PCI\VEN_1022&DEV_2000
%*AT2454.DeviceDesc%=AT2454.ndi, PCI\VEN_1022&DEV_2000&SUBSYS_24541259
%*AT2455.DeviceDesc%=AT2455.ndi, PCI\VEN_1022&DEV_2000&SUBSYS_24501259

;****************************************************************************
; Allied Telesyn AT-2700TX 10/100 PCI Ethernet Adapter
;****************************************************************************
; NT 5.0 section
[AT2700.ndi.NT]
Characteristics = 0x84 ; NCF_PHYSICAL | NCF_HAS_UI
BusType         = 5
AddReg          = ATNIC.NT.reg, BasicN.reg, MII2700.reg, DefaultP.reg
CopyFiles       = ATNIC.CopyFiles

[AT2700.ndi.NT.Services]
AddService      = ATNIC, 2, ATNIC.Service, ATNIC.AddEventLog

; Win9x section
[AT2700.ndi]
AddReg=AT2700.ndi.reg,ATNIC.Win.reg, BasicN.reg, MII2700.reg, AUTON.reg, DefaultP.reg
CopyFiles = InstallDLL.CopyFiles
;LogConfig=DefaultConfig

[AT2700.ndi.reg]
HKR,Ndi,DeviceID,,"PCI\VEN_1022&DEV_2000&SUBSYS_27001259"

;****************************************************************************
; Allied Telesyn AT-2700FX 100Mb PCI Fiber Ethernet Adapter
;****************************************************************************
[AT2701.ndi.NT]
Characteristics = 0x84 ; NCF_PHYSICAL | NCF_HAS_UI
BusType         = 5
AddReg          = ATNIC.NT.reg, DefaultP.reg, BasicN.reg, MII2701.reg
CopyFiles       = ATNIC.CopyFiles

[AT2701.ndi.NT.Services]
AddService      = ATNIC, 2, ATNIC.Service, ATNIC.AddEventLog

; Win9x section
[AT2701.ndi]
AddReg=AT2701.ndi.reg,ATNIC.Win.reg, BasicN.reg, MII2701.reg, AUTON.reg, DefaultP.reg
CopyFiles = InstallDLL.CopyFiles
;LogConfig=DefaultConfig

[AT2701.ndi.reg]
HKR,Ndi,DeviceID,,"PCI\VEN_1022&DEV_2000&SUBSYS_27011259"

;****************************************************************************
; Allied Telesyn AT-2700FTX PCI Ethernet Adapter
;****************************************************************************
; NT 5.0 section
[AT2702.ndi.NT]
Characteristics = 0x84 ; NCF_PHYSICAL | NCF_HAS_UI
BusType         = 5
AddReg          = ATNIC.NT.reg, BasicN.reg, MII2702.reg, DefaultP.reg
CopyFiles       = ATNIC.CopyFiles

[AT2702.ndi.NT.Services]
AddService      = ATNIC, 2, ATNIC.Service, ATNIC.AddEventLog

; Win9x section
[AT2702.ndi]
AddReg=AT2700.ndi.reg,ATNIC.Win.reg, BasicN.reg, MII2702.reg, AUTON.reg
CopyFiles = InstallDLL.CopyFiles
;LogConfig=DefaultConfig

[AT2702.ndi.reg]
HKR,Ndi,DeviceID,,"PCI\VEN_1022&DEV_2000&SUBSYS_27021259"

;****************************************************************************
; Allied Telesyn AT-2745F/FX PCI Ethernet Adapter
;****************************************************************************
; NT 5.0 section
[AT2745.ndi.NT]
Characteristics = 0x84 ; NCF_PHYSICAL | NCF_HAS_UI
BusType         = 5
AddReg          = ATNIC.NT.reg, BasicN.reg, MII2745.reg
CopyFiles       = ATNIC.CopyFiles

[AT2745.ndi.NT.Services]
AddService      = ATNIC, 2, ATNIC.Service, ATNIC.AddEventLog

; Win9x section
[AT2745.ndi]
AddReg=AT2745.ndi.reg,ATNIC.Win.reg, BasicN.reg, MII2745.reg, AUTON.reg, DefaultP.reg
CopyFiles = InstallDLL.CopyFiles
;LogConfig=DefaultConfig

[AT2745.ndi.reg]
HKR,Ndi,DeviceID,,"PCI\VEN_1022&DEV_2000&SUBSYS_27451259"


;****************************************************************************
; Allied Telesyn AT-2450v4 PCI Ethernet Adapter
;****************************************************************************
[AT2454.ndi.NT]
Characteristics = 0x84 ; NCF_PHYSICAL | NCF_HAS_UI
BusType         = 5
AddReg          = ATNIC.NT.reg, DefaultP.reg, BasicN.reg, MII2454.reg
CopyFiles       = ATNIC.CopyFiles

[AT2454.ndi.NT.Services]
AddService      = ATNIC, 2, ATNIC.Service, ATNIC.AddEventLog

; Win9x section
[AT2454.ndi]
AddReg=AT2454.ndi.reg,ATNIC.Win.reg, BasicN.reg, MII2454.reg, AUTON.reg, DefaultP.reg
CopyFiles = InstallDLL.CopyFiles
;LogConfig=DefaultConfig

[AT2454.ndi.reg]
HKR,Ndi,DeviceID,,"PCI\VEN_1022&DEV_2000&SUBSYS_24541259"

;****************************************************************************
; Allied Telesyn AT-2450FTX PCI Ethernet Adapter
;****************************************************************************
[AT2455.ndi.NT]
Characteristics = 0x84 ; NCF_PHYSICAL | NCF_HAS_UI
BusType         = 5
AddReg          = ATNIC.NT.reg, DefaultP.reg, BasicN.reg, MII2455.reg
CopyFiles       = ATNIC.CopyFiles

[AT2455.ndi.NT.Services]
AddService      = ATNIC, 2, ATNIC.Service, ATNIC.AddEventLog

; Win9x section
[AT2455.ndi]
AddReg=AT2455.ndi.reg,ATNIC.Win.reg, BasicN.reg, MII2455.reg, AUTON.reg, DefaultP.reg
CopyFiles = InstallDLL.CopyFiles
;LogConfig=DefaultConfig

[AT2455.ndi.reg]
HKR,Ndi,DeviceID,,"PCI\VEN_1022&DEV_2000&SUBSYS_24501259"


;****************************************************************************
; Allied Telesyn AT-2450 PCI Ethernet Adapter
;****************************************************************************
[AT2450.ndi.NT]
Characteristics = 0x84 ; NCF_PHYSICAL | NCF_HAS_UI
BusType         = 5
AddReg          = ATNIC.NT.reg, DefaultP.reg, BasicP.reg, 
CopyFiles       = ATNIC.CopyFiles

[AT2450.ndi.NT.Services]
AddService      = ATNIC, 2, ATNIC.Service, ATNIC.AddEventLog

; Win9x section
[AT2450.ndi]
AddReg=AT2450.ndi.reg, ATNIC.Win.reg, BasicP.reg, AUTON.reg, DefaultP.reg
CopyFiles = InstallDLL.CopyFiles
;LogConfig=DefaultConfig

[AT2450.ndi.reg]
HKR,Ndi,DeviceID,,"PCI\VEN_1022&DEV_2000"

;-------------------------------------------------------------------------------
; Common Section for NT5.0 and Win9x.
;-------------------------------------------------------------------------------

; ATI common params section
;
[DefaultP.reg]
HKR, ,                              BUS_TO_SCAN,        0, "ALL"
HKR, ,                              BUSTIMER,           0, "0"
HKR, ,                              LED0,               0, "10000"
HKR, ,                              LED1,               0, "10000"
HKR, ,                              LED2,               0, "10000"
HKR, ,                              LED3,               0, "10000"
HKR, ,                              TP,                 0, "0"
HKR, ,                              MPMODE,             0, "0"
HKR, ,                              Priority8021p,      0, "0"
HKR, ,                              EXTPHY,             0, "0"

[BasicP.reg]
HKR, Ndi\params\TP,                 ParamDesc,   0, %TP%
HKR, Ndi\params\TP,                 default,     0, "0"
HKR, Ndi\params\TP,                 type,        0, "enum"
HKR, Ndi\params\TP\enum,            "0",         0, %Default(OFF)%
HKR, Ndi\params\TP\enum,            "2",         0, %ON%

HKR, Ndi\params\FDUP,               ParamDesc,   0, %FD% 
HKR, Ndi\params\FDUP,               default,     0, "1"
HKR, Ndi\params\FDUP,               type,        0, "enum"
HKR, Ndi\params\FDUP\enum,          "1",         0, %OFF%
HKR, Ndi\params\FDUP\enum,          "3",         0, %UTPFD%

[BasicN.reg]
HKR, Ndi\params\MPMODE,             ParamDesc,   0, %MPMODE%
HKR, Ndi\params\MPMODE,             default,     0, "0"
HKR, Ndi\params\MPMODE,             type,        0, "enum"
HKR, Ndi\params\MPMODE\enum,        "0",         0, %Default(OFF)%
HKR, Ndi\params\MPMODE\enum,        "1",         0, %ON%

HKR, Ndi\params\Priority8021p,             ParamDesc,   0, %Priority8021p%
HKR, Ndi\params\Priority8021p,             default,     0, "0"
HKR, Ndi\params\Priority8021p,             type,        0, "enum"
HKR, Ndi\params\Priority8021p\enum,        "0",         0, %Default(OFF)%
HKR, Ndi\params\Priority8021p\enum,        "1",         0, %ON%

HKR,Ndi\params\NetworkAddress,     ParamDesc, 0, %NetworkAddress%
HKR,Ndi\params\NetworkAddress,     type,      0, "edit"
HKR,Ndi\params\NetworkAddress,     default,   0, "000000000000"
HKR,Ndi\params\NetworkAddress,     LimitText, 0, "12"
HKR,Ndi\params\NetworkAddress,     UpperCase, 0, "1"
HKR,Ndi\params\NetworkAddress,     Optional,  0, "1"

[MII2700.reg]
HKR, Ndi\params\EXTPHY,             ParamDesc,   0, %EXTPHY%
HKR, Ndi\params\EXTPHY,             default,     0, "0"
HKR, Ndi\params\EXTPHY,             type,        0, "enum"
HKR, Ndi\params\EXTPHY\enum,        "0",         0, %Auto%
HKR, Ndi\params\EXTPHY\enum,        "1",         0, %100HD%
HKR, Ndi\params\EXTPHY\enum,        "2",         0, %100FD%
HKR, Ndi\params\EXTPHY\enum,        "3",         0, %10HD%
HKR, Ndi\params\EXTPHY\enum,        "4",         0, %10FD%

[MII2745.reg]
HKR, Ndi\params\EXTPHY,             ParamDesc,   0, %EXTPHY%
HKR, Ndi\params\EXTPHY,             default,     0, "2"
HKR, Ndi\params\EXTPHY,             type,        0, "enum"
HKR, Ndi\params\EXTPHY\enum,        "1",         0, %100HD%
HKR, Ndi\params\EXTPHY\enum,        "2",         0, %100FD%
HKR, Ndi\params\EXTPHY\enum,        "5",         0, %10HD%
HKR, Ndi\params\EXTPHY\enum,        "6",         0, %10FD%

[MII2455.reg]
HKR, Ndi\params\EXTPHY,             ParamDesc,   0, %EXTPHY%
HKR, Ndi\params\EXTPHY,             default,     0, "0"
HKR, Ndi\params\EXTPHY,             type,        0, "enum"
HKR, Ndi\params\EXTPHY\enum,        "0",         0, %Auto%
HKR, Ndi\params\EXTPHY\enum,        "1",         0, %100HD%
HKR, Ndi\params\EXTPHY\enum,        "2",         0, %100FD%
HKR, Ndi\params\EXTPHY\enum,        "3",         0, %10HD%
HKR, Ndi\params\EXTPHY\enum,        "4",         0, %10FD%
HKR, Ndi\params\EXTPHY\enum,        "5",         0, %10FHD%
HKR, Ndi\params\EXTPHY\enum,        "6",         0, %10FFD%

[MII2702.reg]
HKR, Ndi\params\EXTPHY,             ParamDesc,   0, %EXTPHY%
HKR, Ndi\params\EXTPHY,             default,     0, "2"
HKR, Ndi\params\EXTPHY,             type,        0, "enum"
HKR, Ndi\params\EXTPHY\enum,        "0",         0, %Auto%
HKR, Ndi\params\EXTPHY\enum,        "1",         0, %100HD%
HKR, Ndi\params\EXTPHY\enum,        "2",         0, %100FD%
HKR, Ndi\params\EXTPHY\enum,        "3",         0, %10HD%
HKR, Ndi\params\EXTPHY\enum,        "4",         0, %10FD%


[MII2701.reg]
HKR, Ndi\params\EXTPHY,             ParamDesc,   0, %EXTPHY%
HKR, Ndi\params\EXTPHY,             default,     0, "2"
HKR, Ndi\params\EXTPHY,             type,        0, "enum"
HKR, Ndi\params\EXTPHY\enum,        "1",         0, %100HD%
HKR, Ndi\params\EXTPHY\enum,        "2",         0, %100FD%

[MII2454.reg]
HKR, Ndi\params\EXTPHY,             ParamDesc,   0, %EXTPHY%
HKR, Ndi\params\EXTPHY,             default,     0, "3"
HKR, Ndi\params\EXTPHY,             type,        0, "enum"
HKR, Ndi\params\EXTPHY\enum,        "3",         0, %HD%
HKR, Ndi\params\EXTPHY\enum,        "4",         0, %FD%

;-------------------------------------------------------------------------------
; NT 5.0 only sections
;-------------------------------------------------------------------------------

[ATNIC.NT.reg]
HKR, Ndi,            Service,    0, "ATNIC"
;HKR, Ndi\Interfaces, DefUpper,  0, "ndis5"
;HKR, Ndi\Interfaces, DefLower,  0, "ethernet"
HKR, Ndi\Interfaces, UpperRange, 0, "ndis5"
HKR, Ndi\Interfaces, LowerRange, 0, "ethernet"

[ATNIC.Service]
DisplayName     = %ATNIC.Service.DispName%
ServiceType     = 1 ;%SERVICE_KERNEL_DRIVER%
StartType       = 3 ;%SERVICE_DEMAND_START%
ErrorControl    = 1 ;%SERVICE_ERROR_NORMAL%
ServiceBinary   = %12%\atnicm5.sys
LoadOrderGroup  = NDIS
AddReg          = TextModeFlags.reg

[ATNIC.AddEventLog]
AddReg = ATNIC.AddEventLog.reg

[ATNIC.AddEventLog.reg]
HKR, , EventMessageFile, 0x00020000, %%SystemRoot%%\System32\netevent.dll
HKR, , TypesSupported,   0x00010001, 7

[TextModeFlags.reg]
HKR,  , TextModeFlags, 0x00010001, 0x0001

[ATNIC.CopyFiles]
;atnicm5.sys,,,2

;-------------------------------------------------------------------------------
; Win9x only sections
;-------------------------------------------------------------------------------
[AUTON.reg]
HKR,,NDIS_VERSION,,"AUTO"
HKR,NDI\params\NDIS_VERSION,,,"AUTO"
HKR,NDI\params\NDIS_VERSION,ParamDesc,,"NDIS Driver Version"
HKR,NDI\params\NDIS_VERSION,flag,1,20,00,00,00
HKR,NDI\params\NDIS_VERSION,type,,enum
HKR,NDI\params\NDIS_VERSION,optional,,0
HKR,Ndi\params\NDIS_VERSION\enum,AUTO,,"Auto Select"
HKR,Ndi\params\NDIS_VERSION\enum,NDIS3,,"NDIS 3"
HKR,Ndi\params\NDIS_VERSION\enum,NDIS4,,"NDIS 4"
HKR,Ndi\params\NDIS_VERSION\enum,NDIS5,,"NDIS 5"
HKR,Ndi\params\NDIS_VERSION\Drivers,NDIS3,,"atnicm3.sys"
HKR,Ndi\params\NDIS_VERSION\Drivers,NDIS4,,"atnicm4.sys"
HKR,Ndi\params\NDIS_VERSION\Drivers,NDIS5,,"atnicm5.sys"

[ATNIC.Win.reg]
; key,subkey,valuname,type,value
HKR,,DevLoader,,*ndis
HKR,,DeviceVxDs,,atnicm5.sys
HKR,,EnumPropPages,,"netdi.dll,EnumPropPages"

; NDIS Info
HKR,NDIS,LogDriverName,,"ATNIC"
HKR,NDIS,MajorNdisVersion,1,03
HKR,NDIS,MinorNdisVersion,1,0a

; Interfaces

HKR,Ndi\Interfaces,DefUpper,,"ndis3"
HKR,Ndi\Interfaces,DefLower,,"ethernet"
HKR,Ndi\Interfaces,UpperRange,,"ndis3"
HKR,Ndi\Interfaces,LowerRange,,"ethernet"
HKR,Ndi\Install,ndis3,,"ATNIC.ndis3"
HKR,Ndi\Remove,ndis3,,"ATNIC.Remove"
HKR,Ndi,NdiInstaller,,"atindi.dll,MyNdiProc"

; Install NDIS3
[ATNIC.ndis3]
CopyFiles = ATNIC.ndis3.CopyFiles

[ATNIC.ndis3.CopyFiles]
;netatnic.inf,,,2
;atnicm3.sys,,,2
;atnicm4.sys,,,2
;atnicm5.sys,,,2
;atnicm5.cat,,,2
;atnicdmi.vxd,,,2
;atnic9x.exe,,,2
;atnic.mif,,,2

[InstallDll.CopyFiles]
;atindi.dll,,,2

[SourceDisksNames]
1 = %SourceDisk%,,,

[SourceDisksFiles]
atnicm5.cat  = 1
atnicm3.sys  = 1
atnicm4.sys  = 1
atnicm5.sys  = 1
netatnic.inf = 1
atindi.dll   = 1
atnicdmi.vxd = 1
atnic9x.exe  = 1
atnic.mif    = 1

;-------------------------------------------------------------------------------
; DestinationDirs
;
[DestinationDirs]
DefaultDestDir       = 11
ATNIC.CopyFiles       = 12
ATNIC.ndis3.CopyFiles = 11

;-------------------------------------------------------------------------------
; Localizable Strings
;

[Strings]
Allied                   = "Allied Telesyn"
TP                       = "Use UTP Port"
OFF                      = "Off"
Default(OFF)             = "Off (Default)"
ON                       = "On"
ON(UTP)                  = "On (UTP Only)"
MPMODE                   = "Magic Packet"
Priority8021p            = "IEEE 802.1p Tagging"
FD                       = "Full Duplex"
HD			 = "Half Duplex"
EXTPHY                   = "Speed/Duplex"
Auto                     = "(0) Auto Negotiate"
UTPFD                    = "On (UTP Only)"
100HD                    = "(1) 100Mb/Half Duplex"
100FD                    = "(2) 100Mb/Full Duplex"
10HD                     = "(3) 10Mb/Half Duplex"
10FD                     = "(4) 10Mb/Full Duplex"
10FHD                    = "(5) 10Mb Fiber/Half Duplex"
10FFD                    = "(6) 10Mb Fiber/Full Duplex"
NetworkAddress           = "Network Address (LAA)"
SourceDisk               = "CardAssistant Disk"

*AT2700.DeviceDesc     = "Allied Telesyn AT-2700TX PCI 10/100 Ethernet Adapter"
*AT2701.DeviceDesc     = "Allied Telesyn AT-2700FX PCI 100Mb Fiber Ethernet Adapter"
*AT2702.DeviceDesc     = "Allied Telesyn AT-2700FTX PCI Ethernet Adapter"
*AT2745.DeviceDesc     = "Allied Telesyn AT-2745FX PCI Fiber Ethernet Adapter"

*AT2450.DeviceDesc     = "Allied Telesyn AT-2450T/AT/BT/FT PCI 10Mb Ethernet Adapter"
*AT2454.DeviceDesc     = "Allied Telesyn AT-2450F (ACPI) PCI 10Mb Fiber Ethernet Adapter"
*AT2455.DeviceDesc     = "Allied Telesyn AT-2450FTX PCI Ethernet Adapter"

ATNIC.Service.DispName   = "Allied Telesyn AT-2450/2700 Series PCI Ethernet Adapter Driver"